
Figure - 开发 Dev #119575
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 119585 (New): 【MK】【VX1返装】管理总票

【MK】【006】【Ethernet】【TC-RID: 1201-0400601】865反装项目以太网100M改1000M
2023-11-02 14:18 - CD TPM-王祥林

Status: New Start date: 2023-11-02

Priority: Normal Due date:

Assignee: CD TPM-王祥林 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Description

按照865反装的要求，以太网需要支持1000M。硬件本身是支持的，软件侧需要在Figure的代码基础上将100M改为1000M。

History

#1 - 2023-11-06 17:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

324933 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev_vx1

kai.zheng@thundersoft.com

BSP:Ethernet: modify network speed, from 100M to 1000M[1/6]In force speed mode, modify the network speed from 100M to 1000M.TC-RID:

1201-0400601IssueID: TS-R-DF-119575Change-Id: Icecccacbe0a7f58c5e6b1147b450d68f247ad812

#2 - 2023-11-06 17:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

324932 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev_vx1

kai.zheng@thundersoft.com

BSP:Ethernet: Network speed 1000M optimization[3/6]Add Gigabit Ethernet network speed optimization.TC-RID: 1201-0400601IssueID:

TS-R-DF-119575Change-Id: Ia3db500a51aa51c8129ce10a2c20f44c75077444

#3 - 2023-11-06 17:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

324931 general/platform/system/core Pre_figure_turbox-c2130c-la1.1-vendo

r-dev_vx1

kai.zheng@thundersoft.com

BSP:Ethernet: Network speed 1000M optimization[4/6]Close selinux and increase permissions in user mode.TC-RID: 1201-0400601IssueID:
TS-R-DF-119575Change-Id: Ic275ad7353cf3c1ee68aa2c52135406b58f6381c

#4 - 2023-11-06 17:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

324929 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev_vx1

kai.zheng@thundersoft.com

BSP:Ethernet: Network speed 1000M optimization[6/6]Enable hard interrupt support for large cores.TC-RID: 1201-0400601IssueID:

TS-R-DF-119575Change-Id: I7424f31cd8ca2601e9651a1ccb8bdafdc38ccaae

#5 - 2023-11-06 17:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

325202 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev_vx1

kai.zheng@thundersoft.com

BSP:Ethernet: modify network speed, from 100M to 1000M[2/6]Add MAC Configuration for 1000M.TC-RID: 1201-0400601IssueID:

TS-R-DF-119575Change-Id: I2b0f5013ba53b4c1189b71611fdd49cccaf352d7

#6 - 2023-11-06 17:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

324930 general/platform/vendor/thundercom

m/ethernet

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev_vx1

kai.zheng@thundersoft.com

BSP:Ethernet: Network speed 1000M optimization [5/6]Enable CPU performance mode.TC-RID: 1201-0400601IssueID: TS-R-DF-119575Change-Id:

I09c07d5ac409043a3360ab4165d9c08dffd60ce2

#7 - 2023-11-09 19:42 - CD TPM-王祥林

- Parent task changed from #110643 to #119585

#8 - 2023-11-14 14:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

327632 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm_vx1

wangxl0510@thundersoft.com
BSP:Ethernet: Network speed 1000M optimization[3/6]Add Gigabit Ethernet network speed optimization.TC-RID: 1201-0400601IssueID:

TS-R-DF-119575Change-Id: Ia3db500a51aa51c8129ce10a2c20f44c75077444(cherry picked from commit c9397eee687756673048742b06e99d2067e90409)

#9 - 2023-11-14 14:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

327626 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm_vx1

wangxl0510@thundersoft.com

BSP:Ethernet: modify network speed, from 100M to 1000M[1/6]In force speed mode, modify the network speed from 100M to 1000M.TC-RID:

1201-0400601IssueID: TS-R-DF-119575Change-Id: Icecccacbe0a7f58c5e6b1147b450d68f247ad812(cherry picked from commit

7cbbc69ee6ca80a25c2a13977d6eed771ae0bcf5)

#10 - 2023-11-14 14:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

327762 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm_vx1

wangxl0510@thundersoft.com

BSP:Ethernet: modify network speed, from 100M to 1000M[2/6]Add MAC Configuration for 1000M.TC-RID: 1201-0400601IssueID:

TS-R-DF-119575Change-Id: I2b0f5013ba53b4c1189b71611fdd49cccaf352d7

#11 - 2023-11-14 17:54 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

327745 general/platform/vendor/thundercom

m/ethernet

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev_vx1

wangxl0510@thundersoft.com

Revert BSP:Ethernet: Network speed 1000M optimization [5/6]This reverts commit 1891b367da816bcd29cf2cbc3f74bd30983f765a.Reason for revert: <no

need>TC-RID: 1201-0400601IssueID: TS-R-DF-119575Change-Id: Ic1fb64345b3f80593a158d958d27268b72447709

#12 - 2023-11-14 17:54 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

327744 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev_vx1

wangxl0510@thundersoft.com
Revert BSP:Ethernet: Network speed 1000M optimization[6/6]This reverts commit 5bbc7ffc7edb56c6cbdbd922e90eefba1d325474.Reason for revert: <no

need>TC-RID: 1201-0400601IssueID: TS-R-DF-119575Change-Id: Ieaa5a835385fe014ec2e004fc6a255b160213530

#13 - 2023-11-14 17:54 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

327743 general/platform/system/core Pre_figure_turbox-c2130c-la1.1-vendo

r-dev_vx1

wangxl0510@thundersoft.com

Revert BSP:Ethernet: Network speed 1000M optimization[4/6]This reverts commit 38cdf348b63953ad29853956859331be5b13585f.Reason for revert: <no

need>TC-RID: 1201-0400601IssueID: TS-R-DF-119575Change-Id: I6a397fa4c46697bfa40f12a997176da2d9e48594

#14 - 2023-11-21 11:17 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

329718 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp_vx1

wangxl0510@thundersoft.com

BSP:Ethernet: modify network speed, from 100M to 1000M[2/6]Add MAC Configuration for 1000M.TC-RID: 1201-0400601IssueID:

TS-R-DF-119575Change-Id: I2b0f5013ba53b4c1189b71611fdd49cccaf352d7(cherry picked from commit acf55d4bbeab82ef7b175173babc1e85a7a4874c)

#15 - 2023-11-21 11:17 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

329717 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp_vx1

wangxl0510@thundersoft.com

BSP:Ethernet: modify network speed, from 100M to 1000M[1/6]In force speed mode, modify the network speed from 100M to 1000M.TC-RID:

1201-0400601IssueID: TS-R-DF-119575Change-Id: Icecccacbe0a7f58c5e6b1147b450d68f247ad812(cherry picked from commit

7cbbc69ee6ca80a25c2a13977d6eed771ae0bcf5)

#16 - 2023-11-21 11:17 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader
329536 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp_vx1

wangxl0510@thundersoft.com

BSP:Ethernet: Network speed 1000M optimization[3/6]Add Gigabit Ethernet network speed optimization.TC-RID: 1201-0400601IssueID:

TS-R-DF-119575Change-Id: Ia3db500a51aa51c8129ce10a2c20f44c75077444(cherry picked from commit c9397eee687756673048742b06e99d2067e90409)

#17 - 2023-11-21 18:07 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

329435 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm_vx1

wangxl0510@thundersoft.com

BSP:Display: MCE PRO will use new hardware and modify EVT1 configurationTC-RID: 1201-0400601IssueID: TS-R-DF-119575Change-Id:

I95cd99cee9077db88bfecbfcfb6d6481c40676c9

#18 - 2023-11-21 18:08 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

329736 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev_vx1

wangxl0510@thundersoft.com

BSP:Display: MCE PRO will use new hardware and modify EVT1 configurationTC-RID: 1201-0400601IssueID: TS-R-DF-119575Change-Id:

I95cd99cee9077db88bfecbfcfb6d6481c40676c9(cherry picked from commit c2e925c561b56bd08b2859680a8a4c786cbf7372)

#19 - 2023-11-21 18:08 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

329957 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp_vx1

wangxl0510@thundersoft.com

BSP:Display: MCE PRO will use new hardware and modify EVT1 configurationTC-RID: 1201-0400601IssueID: TS-R-DF-119575Change-Id:

I95cd99cee9077db88bfecbfcfb6d6481c40676c9(cherry picked from commit c2e925c561b56bd08b2859680a8a4c786cbf7372)(cherry picked from commit

ba94a1e17b5fa99bd859fc983c273e91b4bd8654)

#20 - 2023-12-05 15:12 - IoT scm

Gerrit Merge Information：
ID Project Branch Uploader

333557 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev_vx1

wangxl0510@thundersoft.com

BSP:Ethernet: Modify 1000M firmware version to 0003.Modify version to 0003TC-RID: 1201-0400601IssueID: TS-R-DF-119575Change-Id:

I984717d37ca9c36ad79bcf4f5f4d9a12be87ed2c

#21 - 2023-12-05 15:13 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

333499 general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp_vx1

wangxl0510@thundersoft.com

BSP:Ethernet: Modify 1000M firmware version to 0003.Modify version to 0003TC-RID: 1201-0400601IssueID: TS-R-DF-119575Change-Id:

I984717d37ca9c36ad79bcf4f5f4d9a12be87ed2c(cherry picked from commit 517e2ea65d9fc2f35b70a68eba76fe4ad8b23e26)
